MainTest
Date: 2014-08-08

examples

## Class MainTest

- java.lang.Object
- - examples.MainTest

-     public class MainTest
      extends java.lang.Object

  This class contains the different method tests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `displayResults(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String solution, java.lang.String nucleotides, java.lang.String option)` displays the computed and experimental melting temperature for each method or model to test.
    `static void` | `displayResultsDanglingEndMeltingC(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for single dangling ends.
    `static void` | `displayResultsDNA_RNAMelting4_3(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for DNA/RNA duplexes.
    `static void` | `displayResultsDNA_RNAMeltingC(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for DNA/RNA duplexes.
    `static void` | `displayResultsInosineMelting4_3WithComplementarySequence(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String solution, java.lang.String nucleotides)` displays the computed and experimental melting temperature for each method or model to test.
    `static void` | `displayResultsLongDanglingEnd(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String solution, java.lang.String nucleotides, java.lang.String option)` displays the computed and experimental melting temperature for each dangling end method or model.
    `static void` | `displayResultsMagnesium(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String nucleotides, java.lang.String option)` displays the computed and experimental melting temperature for each method or model to test with different magnesium concentrations.
    `static void` | `displayResultsMeltingC(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for each method or model to test.
    `static void` | `displayResultsMeltingC4_3(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for each method or model to test.
    `static void` | `displayResultsMeltingC4_3SelfComplementary(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for each method or model to test.
    `static void` | `displayResultsMeltingCSelfComplementary(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for each method or model to test.
    `static void` | `displayResultsMismatchMeltingCWithComplementarySequence(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String ion, java.lang.String nucleotides)` displays the computed and experimental melting temperature for single mismatches.
    `static void` | `displayResultsNaEq(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String nucleotides, java.lang.String option)` displays the computed and experimental melting temperature for each NaEq method or model to test with different magnesium concentrations.
    `static void` | `displayResultsNaEq(java.util.Properties properties, java.lang.String hybridization)` displays the computed and experimental melting temperature with MELTING 4.2 approximative formula and with different magnesium concentrations.
    `static void` | `displayResultsSelf(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String solution, java.lang.String nucleotides, java.lang.String option)` displays the computed and experimental melting temperature for each method or model to test.
    `static void` | `displayResultsSodium(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String nucleotides, java.lang.String option)` displays the computed and experimental melting temperature for each method or model to test with different sodium concentrations.
    `static void` | `displayResultsWithComplementarySequence(java.util.Properties properties, java.util.ArrayList<java.lang.String> methodNames, java.lang.String hybridization, java.lang.String solution, java.lang.String nucleotides, java.lang.String option)` displays the computed and experimental melting temperature for each method or model to test.
    `static double` | `getC4_3MeltingResult(java.lang.String args)` to run melting 4.3 and get the results
    `static double` | `getCMeltingResult(java.lang.String args)` to run melting 4.2 and get the results
    `static double` | `getMeltingTest(java.lang.String[] args)` computes the enthalpy, entropy and melting temperature with the options in String [] args.
    `static java.util.Properties` | `loadSequencesTest(java.lang.String fileName)` loads the data from the file and stocks them in a Properties object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MainTest

          public MainTest()

  - ### Method Detail

    - #### loadSequencesTest

          public static java.util.Properties loadSequencesTest(java.lang.String fileName)

      loads the data from the file and stocks them in a Properties object.
      Parameters:
        `fileName` - : name or pathway of the file containing the experimental data.
      Returns:
        Properties containing the experimental data from the file.

    - #### getMeltingTest

          public static double getMeltingTest(java.lang.String[] args)

      computes the enthalpy, entropy and melting temperature with the options in String [] args.
      Parameters:
        `args` - : contains the test options
      Returns:
        double : melting temperature.

    - #### displayResults

          public static void displayResults(java.util.Properties properties,
                            java.util.ArrayList<java.lang.String> methodNames,
                            java.lang.String hybridization,
                            java.lang.String solution,
                            java.lang.String nucleotides,
                            java.lang.String option)

      displays the computed and experimental melting temperature for each method or model to test.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `solution` - : contains the different ion and agent concentrations
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsSodium

          public static void displayResultsSodium(java.util.Properties properties,
                                  java.util.ArrayList<java.lang.String> methodNames,
                                  java.lang.String hybridization,
                                  java.lang.String nucleotides,
                                  java.lang.String option)

      displays the computed and experimental melting temperature for each method or model to test with different sodium concentrations.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsMagnesium

          public static void displayResultsMagnesium(java.util.Properties properties,
                                     java.util.ArrayList<java.lang.String> methodNames,
                                     java.lang.String hybridization,
                                     java.lang.String nucleotides,
                                     java.lang.String option)

      displays the computed and experimental melting temperature for each method or model to test with different magnesium concentrations.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsNaEq

          public static void displayResultsNaEq(java.util.Properties properties,
                                java.util.ArrayList<java.lang.String> methodNames,
                                java.lang.String hybridization,
                                java.lang.String nucleotides,
                                java.lang.String option)

      displays the computed and experimental melting temperature for each NaEq method or model to test with different magnesium concentrations.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsNaEq

          public static void displayResultsNaEq(java.util.Properties properties,
                                java.lang.String hybridization)

      displays the computed and experimental melting temperature with MELTING 4.2 approximative formula and with different magnesium concentrations.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsLongDanglingEnd

          public static void displayResultsLongDanglingEnd(java.util.Properties properties,
                                           java.util.ArrayList<java.lang.String> methodNames,
                                           java.lang.String hybridization,
                                           java.lang.String solution,
                                           java.lang.String nucleotides,
                                           java.lang.String option)

      displays the computed and experimental melting temperature for each dangling end method or model.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `solution` - : contains the different ion and agent concentrations
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsWithComplementarySequence

          public static void displayResultsWithComplementarySequence(java.util.Properties properties,
                                                     java.util.ArrayList<java.lang.String> methodNames,
                                                     java.lang.String hybridization,
                                                     java.lang.String solution,
                                                     java.lang.String nucleotides,
                                                     java.lang.String option)

      displays the computed and experimental melting temperature for each method or model to test. In the experimental data, the complementary sequence is given.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `solution` - : contains the different ion and agent concentrations
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsInosineMelting4_3WithComplementarySequence

          public static void displayResultsInosineMelting4_3WithComplementarySequence(java.util.Properties properties,
                                                                      java.util.ArrayList<java.lang.String> methodNames,
                                                                      java.lang.String hybridization,
                                                                      java.lang.String solution,
                                                                      java.lang.String nucleotides)

      displays the computed and experimental melting temperature for each method or model to test. (melting 4.3) In the experimental data, the complementary sequence is given.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `solution` - : contains the different ion and agent concentrations
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsMismatchMeltingCWithComplementarySequence

          public static void displayResultsMismatchMeltingCWithComplementarySequence(java.util.Properties properties,
                                                                     java.util.ArrayList<java.lang.String> methodNames,
                                                                     java.lang.String hybridization,
                                                                     java.lang.String ion,
                                                                     java.lang.String nucleotides)

      displays the computed and experimental melting temperature for single mismatches. (melting 4.2)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `ion` - : contains the different ion concentrations
        `nucleotides` - : oligomer concentration

    - #### displayResultsDanglingEndMeltingC

          public static void displayResultsDanglingEndMeltingC(java.util.Properties properties,
                                               java.util.ArrayList<java.lang.String> methodNames,
                                               java.lang.String hybridization,
                                               java.lang.String ion,
                                               java.lang.String nucleotides)

      displays the computed and experimental melting temperature for single dangling ends. (melting 4.2)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `ion` - : contains the different ion concentrations
        `nucleotides` - : oligomer concentration

    - #### displayResultsSelf

          public static void displayResultsSelf(java.util.Properties properties,
                                java.util.ArrayList<java.lang.String> methodNames,
                                java.lang.String hybridization,
                                java.lang.String solution,
                                java.lang.String nucleotides,
                                java.lang.String option)

      displays the computed and experimental melting temperature for each method or model to test. The experimental data are for self complementary sequences.
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `solution` - : contains the different ion and agent concentrations
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### getCMeltingResult

          public static double getCMeltingResult(java.lang.String args)

      to run melting 4.2 and get the results
      Parameters:
        `args` - : contains test options
      Returns:
        double : computed melting temperature

    - #### getC4_3MeltingResult

          public static double getC4_3MeltingResult(java.lang.String args)

      to run melting 4.3 and get the results
      Parameters:
        `args` - : contains test options
      Returns:
        double : computed melting temperature

    - #### displayResultsMeltingC

          public static void displayResultsMeltingC(java.util.Properties properties,
                                    java.util.ArrayList<java.lang.String> methodNames,
                                    java.lang.String hybridization,
                                    java.lang.String ion,
                                    java.lang.String nucleotides)

      displays the computed and experimental melting temperature for each method or model to test. (melting 4.2)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `ion` - : contains the different ion concentrations
        `nucleotides` - : oligomer concentration

    - #### displayResultsDNA_RNAMeltingC

          public static void displayResultsDNA_RNAMeltingC(java.util.Properties properties,
                                           java.util.ArrayList<java.lang.String> methodNames,
                                           java.lang.String hybridization,
                                           java.lang.String ion,
                                           java.lang.String nucleotides)

      displays the computed and experimental melting temperature for DNA/RNA duplexes. (melting 4.2)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `ion` - : contains the different ion concentrations
        `nucleotides` - : oligomer concentration

    - #### displayResultsDNA_RNAMelting4_3

          public static void displayResultsDNA_RNAMelting4_3(java.util.Properties properties,
                                             java.util.ArrayList<java.lang.String> methodNames,
                                             java.lang.String hybridization,
                                             java.lang.String ion,
                                             java.lang.String nucleotides)

      displays the computed and experimental melting temperature for DNA/RNA duplexes. (melting 4.3)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `ion` - : contains the different ion concentrations
        `nucleotides` - : oligomer concentration

    - #### displayResultsMeltingC4_3

          public static void displayResultsMeltingC4_3(java.util.Properties properties,
                                       java.util.ArrayList<java.lang.String> methodNames,
                                       java.lang.String hybridization,
                                       java.lang.String ion,
                                       java.lang.String nucleotides)

      displays the computed and experimental melting temperature for each method or model to test. (melting 4.3)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `ion` - : contains the different ion concentrations
        `nucleotides` - : oligomer concentration

    - #### displayResultsMeltingCSelfComplementary

          public static void displayResultsMeltingCSelfComplementary(java.util.Properties properties,
                                                     java.util.ArrayList<java.lang.String> methodNames,
                                                     java.lang.String hybridization,
                                                     java.lang.String ion,
                                                     java.lang.String nucleotides)

      displays the computed and experimental melting temperature for each method or model to test. (melting 4.2)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `solution` - : contains the different ion and agent concentrations
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.

    - #### displayResultsMeltingC4_3SelfComplementary

          public static void displayResultsMeltingC4_3SelfComplementary(java.util.Properties properties,
                                                        java.util.ArrayList<java.lang.String> methodNames,
                                                        java.lang.String hybridization,
                                                        java.lang.String ion,
                                                        java.lang.String nucleotides)

      displays the computed and experimental melting temperature for each method or model to test. (melting 4.3)
      Parameters:
        `properties` - : contains the experimental data.
        `methodNames` - : contains all the method or model to test with the experimental data.
        `hybridization` - : type of hybridization
        `solution` - : contains the different ion and agent concentrations
        `nucleotides` - : oligomer concentration
        `option` - : option name for the pattern computation method.